=== debian/control ===
Source: vigor
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper-compat (= 13),
               libncurses-dev,
               libx11-dev,
               libxt-dev,
               tcl8.6-dev,
               tk8.6-dev,
Standards-Version: 4.6.2
Homepage: https://vigor.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian/vigor.git
Vcs-Browser: https://salsa.debian.org/debian/vigor
Rules-Requires-Root: no

Package: vigor
Architecture: any
Depends: perl-tk,
         ${misc:Depends},
         ${shlibs:Depends},
Description: nvi with the evil paperclip
 Vigor is a perpetration of the Microsoft Word "Office Assistant" paperclip,
 based on nvi. It was inspired by Pitr of the "User Friendly" comic strip
 (http://www.userfriendly.org/).
 .
 Some people have speculated that Vigor was created under the influence of
 the evil Crud Puppy. The maintainer of this Debian package would like to
 stress his firm belief that these foul rumours are entirely without
 foundation.
