=== debian/watch ===
version=4
https://sf.net/vigor/vigor-(.*)\.tar\.gz
